Returns all documents for a user entry
curl --request GET \
--url https://api.sandbox.goteal.co/documents/{document_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/documents/{document_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"file_name": "payslip1.pdf",
"type": "Payslip",
"uploaded_at": "2019-05-17T00:00:00.000Z",
"file_contents": "JVBERi0xLjQKJdPr6eEKMSAwIG9iago8PC9UaXRsZSAoS...",
"document_external_id": "payslip123456"
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}Doc Scan
Retrieve a specific document
GET
/
documents
/
{document_id}
Returns all documents for a user entry
Authorizations
ApiKeyAuthMemberBearerAuth
Path Parameters
The id of the file
Response
Document response
A unique document identifier
Example:
"95a0e70b-fe02-4f47-aef9-2efff279df71"
Name of the file
Example:
"payslip1.pdf"
The type of document (Payslip, Bank Statement, or Document)
Example:
"Payslip"
Example:
"2019-05-17T00:00:00.000Z"
Base-64 encoded string containing file contents
Example:
"JVBERi0xLjQKJdPr6eEKMSAwIG9iago8PC9UaXRsZSAoS..."
A string coming from the parameters of the uploaded payslip1.pdf either the form field name or external_document_id header for the file part. It might not be unique and depends on what's passed when uploading.
Example:
"payslip123456"